Our Ruby iControl Library has been cooking here on DevCentral for six months now. We’ve received a lot of feedback on our first release from the DevCentral community. We’ve taken what we’ve learned from the alpha release, made a few improvements, and are now releasing our first stable version: 10.2.0.2.

Here are a few of the fixes and enhancements we made with this release:

  • annoying SSL cert-depth message is now gone for good; you should no longer see the ‘at depth 0 - 18: self signed certificate’  error
  • fixed installation issues associated with letters in the 'verson' section of gemspec
  • updated iControl WSDLs

The new version should take precedence within Ruby Gems, but you probably want to remove the previous version just to prevent confusion. Here are the steps to update your version:

  1. Download the iControl Ruby Library Gem
  2. Uninstall the previous version
    gem uninstall f5-icontrol
  3. Install the new version
    gem install f5-icontrol-10.2.0.2.gem
  4. Verify the installed version
    % gem list -d | grep f5
    => f5-icontrol (10.2.0.2)
          Homepage: http://devcentral.f5.com
  5. Test your new installation by running the example code
    cd /var/lib/gems/1.8/gems/f5-icontrol-10.2.0.2/examples (location may vary based on system)
    ./get-version.rb 192.168.1.245 admin admin
       => BIG-IP_v10.2.1

If everything went as planned, you should see your BIG-IP version without any SSL certificate errors. Another good test is to run the SSL certificate report (ssl-certificate-report.rb) against your BIG-IP. It is non-invasive and will test a number of compatibilities. Until next time, happy coding.